Show / Hide Table of Contents

# Enum OpenIddictValidationType

Represents the type of validation performed by the OpenIddict validation services.

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public enum OpenIddictValidationType

### Fields

Name | Description
--- | ---
Direct | Configures the OpenIddict validation services to use direct validation. By default, direct validation uses IdentityModel to validate JWT tokens, but a different token format can be used by registering the corresponding package (e.g OpenIddict.Validation.DataProtection, for Data Protection tokens).
Introspection | Configures the OpenIddict validation services to use introspection. When using introspection, an OAuth 2.0 introspection request is sent to the authorization server to validate the received access token.